Bug 1706689 - Wrong apiserver for Copy Login Command
Summary: Wrong apiserver for Copy Login Command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: W. Trevor King
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 05:50 UTC by shahan
Modified: 2019-06-04 10:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:32 UTC
Github openshift api pull 308 None None None 2019-05-06 16:40:30 UTC
Github openshift installer pull 1718 None None None 2019-05-07 13:19:07 UTC

Comment 1 Mo 2019-05-06 12:33:41 UTC
The installer team owns the infrastructures.config.openshift.io API.  Both the console and the OAuth server read its status.apiServerURL to tell users where the API server is.

Comment 2 Mo 2019-05-06 12:36:37 UTC
ex:

$ oc get infrastructures.config.openshift.io cluster -o jsonpath='{.status.apiServerURL}'
https://api-int.m044.devcluster.openshift.com:6443

Comment 3 W. Trevor King 2019-05-06 16:40:08 UTC
API groundwork in flight with [1].  After that gets kicked around and lands, we'll need to port the consumers to the appropriate internal/external property to fix this bug.

[1]: https://github.com/openshift/api/pull/308

Comment 4 Scott Dodson 2019-05-07 12:22:58 UTC
Installer needs to set the appropriate APIServerInternalURL value, no?

Comment 5 W. Trevor King 2019-05-07 13:19:08 UTC
[1] will set the new field.

[1]: https://github.com/openshift/installer/pull/1718

Comment 7 Samuel Padgett 2019-05-08 17:04:45 UTC
This needs an additional change: https://github.com/openshift/installer/pull/1727. Moving back to POST.

Comment 11 errata-xmlrpc 2019-06-04 10:48:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.